import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

import java.awt.Color;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.util.List;

/**
 * Der Counter zhlt die Anzahl der aufgefressenen Punkte von Pacman. Jeder gegessene Punkt
 * lsst den Counter um 10 Einheiten erhhen.
 * 
 */public class Counter extends Actor
{

    private String text;
    private Pacworld s;
    private GreenfootImage myImage;

    public Counter(Pacworld s) {
        myImage = new GreenfootImage(85,20);
        setImage(myImage);
        this.s=(Pacworld) s;
        drawCounter();
    }

    public void drawCounter() 
    {
        myImage.setColor(Color.BLACK);
        myImage.fill();
        myImage.setColor(Color.YELLOW);
        this.text = "Punkte: "+s.getPunkte();
        myImage.drawString(text, 5, 14);     
    }

    public void act() {
        drawCounter();
    }    
}