import greenfoot.*; 
import java.awt.Color;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.util.List;

/**
 * 
 * @author Mario Ntzel & Alexander Krestyn
 * 
 * Sobald der Spieler einen der Ghosts berht oder schneidet, so wird dieses Label, genannt "GameOver"
 * aufgerufen und das Spiel ist beendet.
 */
public class GameOver  extends Actor
{   
    private String text;
    private Pacworld s;
    private GreenfootImage myImage;
    public GameOver() 
    {
        myImage = new GreenfootImage (400,25);
        setImage(myImage);
        this.s=(Pacworld) s;
        drawGameOver();
    }    

    public void drawGameOver()
    {
        myImage.setColor(Color.BLACK);
        myImage.fill();
        myImage.setColor(Color.RED);
        this.text = "     ----Game Over----- Du wurdest von den Ghosts erwischt!!";
        myImage.drawString(text, 9, 16);
    }
}
